| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_add_char_params_t Struct Reference
Common service definitions

Add characteristic parameters structure. More...

`#include <ble_srv_common.h>`

## Data Fields
uint16_t | uuid
uint8_t | uuid_type
uint16_t | max_len
uint16_t | init_len
uint8_t * | p_init_value
bool | is_var_len
ble_gatt_char_props_t | char_props
ble_gatt_char_ext_props_t | char_ext_props
bool | is_defered_read
bool | is_defered_write
security_req_t | read_access
security_req_t | write_access
security_req_t | cccd_write_access
bool | is_value_user
ble_add_char_user_desc_t * | p_user_descr
ble_gatts_char_pf_t * | p_presentation_format

## Detailed Description

Add characteristic parameters structure.

This structure contains the parameters needed to use the characteristic_add function.

## Field Documentation

security_req_t ble_add_char_params_t::cccd_write_access

Security requirement for writing the characteristic's CCCD.

ble_gatt_char_ext_props_t ble_add_char_params_t::char_ext_props

Characteristic extended properties.

ble_gatt_char_props_t ble_add_char_params_t::char_props

Characteristic properties.

uint16_t ble_add_char_params_t::init_len

Initial length of the characteristic value.

bool ble_add_char_params_t::is_defered_read

Indicate if deferred read operations are supported.

bool ble_add_char_params_t::is_defered_write

Indicate if deferred write operations are supported.

bool ble_add_char_params_t::is_value_user

Indicate if the content of the characteristic is to be stored in the application (user) or in the stack.

bool ble_add_char_params_t::is_var_len

Indicates if the characteristic value has variable length.

uint16_t ble_add_char_params_t::max_len

Maximum length of the characteristic value.

uint8_t* ble_add_char_params_t::p_init_value

Initial encoded value of the characteristic.

ble_gatts_char_pf_t* ble_add_char_params_t::p_presentation_format

Pointer to characteristic format if needed

ble_add_char_user_desc_t* ble_add_char_params_t::p_user_descr

Pointer to user descriptor if needed

security_req_t ble_add_char_params_t::read_access

Security requirement for reading the characteristic value.

uint16_t ble_add_char_params_t::uuid

Characteristic UUID (16 bits UUIDs).

uint8_t ble_add_char_params_t::uuid_type

Base UUID. If 0, the Bluetooth SIG UUID will be used. Otherwise, this should be a value returned by sd_ble_uuid_vs_add when adding the base UUID.

security_req_t ble_add_char_params_t::write_access

Security requirement for writing the characteristic value.